Subject: Re: [PATCH] ppc: Marvell mv64x60 drivers for ppc platforms fix

From: Segher Boessenkool <[email-masked]>
Date: Mon, 25 Jun 2007 12:14:54 +0200

>  The mv64x60 driver has no support for compiling as a module. Built-in 
> only.

Yeah I expected that that is the case right now.  Could be
fixed later though.

> And I think there is no much sense in making the driver which provide 
> you
> with such a base stuff as a boot console, ethernet, etc. to be a LKM.

That's orthogonal to expressing it as one "module" in Kbuild,
which is really just about grouping highly interdependent
stuff together.

But anyway, your patch looks good, I was just suggesting to
clean it up some more.  You don't have to do it now if you
don't want to, I'm sure it will happen later :-)

[Oh, and don't top-post.]

>>> +mv64x60-$(CONFIG_PCI)          += mv64x60_pci.o
>>> +obj-$(CONFIG_MV64X60)          += $(mv64x60-y) mv64x60_pic.o
>>> mv64x60_dev.o
>>
>> How about
>>
>> mv64x60-pci-$(CONFIG_PCI)      += mv64x60_pci.o
>> mv64x60-objs                   := $(mv64x60-pci-y) mv64x60_pic.o
>> mv64x60_dev.o
>> obj-$(CONFIG_MV64X60)          += mv64x60.o
>>
>> so you can build it is a module, too (although other things
>> might be preventing that right now)?

Segher